#include <error.h>
#include "defines.h"
#include "ascsi.h"
#include "acmp.h"
#include "FAT32.h"

//#define	DEBUG	1

int vunlink32(unchar *path)
// ファイル/ボリューム名削除(FAT32)
{
FILE32 fp;
int ret;
	// ここではワイルドカードは認めない
	if (check_wild(path)) return(11); // ワイルドカードがある
	if (CheckParentDir(path)) return(12); // "."または".."である。これらは消してはいけない。
	
	// ファイル/ボリューム名検索
	ret=_VFILES32(&fp,(unchar*)path,FA_ARCH|FA_VOL,1);
	if (ret) return(ret);
	
	// 削除
	return(_Delete32(&fp));
}
